Update Contact Channel State
Updates the specified contact Channel State.
Authorization
bearerAuth In: header
Path Parameters
Unique identifier for the resource.
uuidChannel Type that identifies the resource.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Health value for this resource.
Transactional Opt In value for this resource.
Marketing Subscription Status value for this resource.
Response Body
application/json
curl -X PATCH "https://api.getmateo.com/v1/contacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/channels/email" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "channel_type": "email", "health": "healthy", "transactional_opt_in": "consent_granted", "marketing_subscription_status": "requested", "marketing_messages_this_month": 32767, "messages_this_month": 32767, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Update Contact by Locator PATCH
Provide exactly one contact locator: - `external_id` - `secondary_external_id` - `email_address` - `sms_phone_number` - `whatsapp_phone_number` - `facebook_user_id` - `instagram_user_id` - `postal_address` Custom fields can be written as additional top-level properties using each custom field `key`. Values are validated against the field definitions returned by List Custom Fields.
Update Contact PATCH
Custom fields can be written as additional top-level properties using each custom field `key`. Values are validated against the field definitions returned by List Custom Fields.